## Table of Content

### User documents

[Installation and Configuration Guide](installation_guide.md)   
Read this first!

[Harbor User Guide](user_guide.md)  
How to use Harbor to manage images, projects, replications and users.

[Configuring HTTPS for Harbor](configure_https.md)  
Configure security connection between Harbor and Docker client. 

[Upgrade and Data Migration Guide](migration_guide.md)  
Data migration may be needed when upgrading Harbor to a newer version. 

[make Harbor on Kubernetes](kubernetes_deployment.md)  
Guide to deploy Harbor on Kubenetes. (maintained by community)

### Developer documents

[Arthicture Overview of Harbor](https://github.com/vmware/harbor/wiki/Architecture-Overview-of-Harbor)  
Developers read this first.

[Harbor API Specs by Swagger](configure_swagger.md)  
Use Swagger to find out the specs of Harbor API.

[Internationalization Guide](developer_guide_i18n.md)  
How to add your local language to Harbor.


[Python SDK](../contrib/sdk/harbor-py) (by community)

[makeing Harbor using Docker Machine](../contrib/deploying_using_docker_machine.md) ( by community)

[Configuring Harbor as a local registry mirror](../contrib/Configure_mirror.md) (by community)

### Articles from the community

[Remote site replicated Docker Registries with VMware Harbor](http://www.vmtocloud.com/remote-site-replicated-docker-registries-with-vmware-harbor/)

[Hybrid cloud Docker Registry with VMware Harbor](http://www.vmtocloud.com/hybrid-cloud-docker-registry-with-vmware-harbor/)

[Harbor Registry Blueprint for vRA](http://www.vmtocloud.com/harbor-registry-blueprint-is-here/)

[Project Harbor in action](http://cormachogan.com/2016/08/05/project-harbor-action/)

[Using vSphere docker volume driver to run Project Harbor on VSAN](http://cormachogan.com/2016/07/29/using-vsphere-docker-volume-driver-run-project-harbor-vsan/)

[Architecture of Harbor: An Open Source Enterprise-class Registry Server](http://www.think-foundry.com/architecture-of-harbor-an-open-source-enterprise-class-registry-server/)

[Overall Architecture of Harbor Registry](http://www.compare-review-information.com/overall-architecture-of-harbor-registry/)

[makeing a Private Secured Docker Registry in 15 Minutes](http://alexanderzeitler.com/articles/deploying-a-private-secured-docker-registry-within-15-minutes/)

[Docker Private Registry Using Harbor](https://blog.imaginea.com/docker-private-registry-using-harbor-2/)

