/*
    Copyright (c) 2016 VMware, Inc. All Rights Reserved.
    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at
        
        http://www.apache.org/licenses/LICENSE-2.0
        
    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
*/
var locale_messages = {
  'sign_in': '登录',
  'sign_up': '注册',
  'forgot_password': '忘记密码',
  'login_now': '登录',
  'its_easy_to_get_started': '这很容易上手...',
  'icon_label_1': '匿名访问公开镜像仓库',
  'icon_label_2': '基于项目的镜像管理',
  'icon_label_3': '用户角色访问控制',
  'why_use_harbor': '为什么要使用Harbor？',
  'index_desc': 'Harbor是可靠的企业级Registry服务器。企业用户可使用Harbor搭建私有容器Registry服务，提高生产效率和安全度，既可应用于生产环境，也可以在开发环境中使用。',
  'index_desc_1': '<strong>安全:</strong> 确保知识产权在自己组织内部的管控之下。',
  'index_desc_2': '<strong>效率:</strong> 搭建组织内部的私有容器Registry服务，可显著降低访问公共Registry服务的网络需求。',
  'index_desc_3': '<strong>访问控制:</strong> 提供基于角色的访问控制，可集成企业目前拥有的用户管理系统（如:AD/LDAP）。',
  'index_desc_4': '<strong>审计:</strong> 所有访问Registry服务的操作均被记录，便于日后审计。',
  'index_desc_5': '<strong>管理界面:</strong> 具有友好易用图形管理界面。',
  'index_desc_6': '<strong>镜像复制:</strong> 在实例之间复制镜像。',
  'view_all': '显示全部...',
  'repositories': '镜像仓库',
  'project_repo_name': '项目/镜像仓库名称',
  'creation_time': '创建时间',
  'author': '作者',
  'username': '用户名',
  'username_is_required' : '用户名为必填项。',
  'username_has_been_taken' : '用户名已被占用。',
  'username_is_too_long' : '用户名长度超出限制。（最长为20个字符）',
  'username_contains_illegal_chars': '用户名包含不合法的字符。',
  'email': '邮箱',
  'email_desc': '此邮箱将用于重置密码。',
  'email_is_required' : '邮箱为必填项。',
  'email_has_been_taken' : '邮箱已被占用。',
  'email_content_illegal' : '邮箱格式不合法。',
  'email_does_not_exist' : '邮箱不存在。',
  'email_is_too_long': '邮箱名称长度超出限制。（最长为50个字符）',
  'full_name': '全名',
  'full_name_desc': '请输入全名。',
  'full_name_is_required' : '全名为必填项。',
  'full_name_is_too_long' : '全名长度超出限制。（最长为20个字符）',
  'full_name_contains_illegal_chars' : '全名包含不合法的字符。',
  'password': '密码',
  'password_desc': '至少输入 8个字符且包含 1个小写字母， 1个大写字母和 1个数字。',
  'password_is_required' : '密码为必填项。',
  'password_is_invalid' : '密码无效。至少输入 8个字符且包含 1个小写字母，1个大写字母和 1个数字。',
  'confirm_password': '确认密码',
  'password_does_not_match' : '两次密码输入不一致。',
  'comments': '备注',
  'comment_is_too_long' : '备注长度超出限制。（最长为20个字符）',
  'forgot_password_description': '重置邮件将发送到此邮箱。',
  'reset_password': '重置密码',
  'successful_reset_password': '重置密码成功。',
  'failed_to_change_password': '修改密码失败。',
  'summary': '摘要',
  'projects': '项目',
  'public_projects': '公开项目',
  'public': '公开',
  'public_repositories': '公开镜像仓库',
  'my_project_count': '我的项目',
  'my_repo_count': '我的镜像仓库',
  'public_project_count': '公开项目',
  'public_repo_count': '公开镜像仓库',
  'total_project_count': '全部项目',
  'total_repo_count': '全部镜像仓库',
  'top_10_repositories': 'Top 10 镜像仓库',
  'repository_name': '镜像仓库名',
  'size': '大小',
  'count': '下载次数',
  'creator': '创建者',
  'no_top_repositories': '暂时没有数据。',
  'logs': '日志',
  'task_name': '任务名称',
  'details': '详细信息',
  'user': '用户',
  'no_user_logs': '暂时没有数据。',
  'users': '用户',
  'my_projects': '我的项目',
  'project_name': '项目名称',
  'role': '角色',
  'publicity': '公开',
  'button_on': '是',
  'button_off': '否',
  'new_project': '新增项目',
  'save': '保存',
  'cancel': '取消',
  'confirm': '确认',
  'items': '条记录',
  'add_member': '新增成员',
  'operation': '操作',
  'advanced_search': '高级搜索',
  'all': '全部',
  'others': '其他',
  'search':'搜索',
  'duration': '持续时间',
  'from': '起始',
  'to': '结束',
  'timestamp': '时间戳',
  'dashboard': '控制面板',
  'admin_options': '管理员选项',
  'account_setting': '账户设置',
  'log_out': '注销',
  'registration_time': '注册时间',
  'system_management': '系统管理',
  'change_password': '修改密码',
  'search_result': '搜索结果',
  'old_password': '原密码',
  'old_password_is_required': '原密码为必填项。',
  'old_password_is_incorrect': '原密码不正确。',
  'new_password_is_required': '新密码为必填项。',
  'new_password_is_invalid': '新密码无效。至少输入 8个字符且包含 1个小写字母，1个大写字母和 1个数字。',
  'new_password': '新密码',
  'username_already_exist': '用户名已存在。',
  'username_does_not_exist': '用户名不存在。',
  'username_or_password_is_incorrect': '用户名或密码不正确。',
  'username_email': '用户名/邮箱',
  'project_name_is_required': '项目名称为必填项。',
  'project_already_exist': '项目已存在。',
  'project_name_is_invalid': '项目名称无效。全部为小写字母，且不能包含空格。',
  'project_name_is_too_short': '项目名称长度过短，至少多于4个字符。',
  'project_name_is_too_long': '项目名称长度超出限制，最长30个字符。',
  'search_projects_or_repositories': '搜索项目和镜像资源',
  'tag': '标签',
  'image_details': '镜像明细',
  'pull_command': 'Pull 命令',
  'alert_delete_repo_title': '确认删除',
  'alert_delete_repo': '即将删除镜像仓库下的所有标签，镜像空间将在垃圾回收过程中释放。<br/>' +
      '<br/>是否删除镜像仓库 "$0" ?',
  'alert_delete_tag_title': '确认删除',
  'alert_delete_tag': '注意：此镜像仓库下所有指向该镜像的标签将会被删除。<br/><br/>删除镜像标签 "$0" ?',
  'close': '关闭',
  'ok': '确认',
  'welcome': '欢迎使用Harbor!',
  'continue' : '继续',
  'no_projects_add_new_project': '当前没有项目。',
  'no_repositories': '未发现镜像，请用"docker push"命令上传镜像。',
  'failed_to_add_member': '无法添加项目成员，权限不足。',
  'failed_to_change_member': '无法修改项目成员，权限不足。',
  'failed_to_delete_member': '无法删除项目成员，权限不足。',
  'failed_to_delete_project_contains_repo': '项目包含镜像仓库，无法删除。', 
  'failed_to_delete_project_insuffient_permissions': '无法删除项目，权限不足。',
  'confirm_delete_project_title': '删除项目',
  'confirm_delete_project': '确认删除项目 "$0" ?',
  'confirm_delete_user_title': '删除用户',
  'confirm_delete_user': '确认删除用户 "$0" ?',
  'confirm_delete_policy_title': '删除复制策略',
  'confirm_delete_policy': '确认删除复制策略 "$0" ?',
  'confirm_delete_destination_title': '删除目标',
  'confirm_delete_destination': '确认删除目标 "$0"？',
  'replication': '复制',
  'name': '名称',
  'description': '描述',
  'destination': '目标',
  'start_time': '起始时间',
  'last_start_time': '上次起始时间',
  'end_time': '结束时间',
  'activation': '活动状态',
  'replication_jobs': '复制任务',
  'actions': '操作',
  'status': '状态',
  'logs': '日志',
  'enabled': '已启用',
  'enable': '启用',
  'disabled': '已停用',
  'disable': '停用',
  'no_replication_policies_add_new': '没有复制策略，请新增复制策略。',
  'no_replication_policies': '没有复制策略。',
  'no_replications': '没有复制策略。',
  'no_replication_jobs': '没有复制任务。',
  'no_destinations': '没有目标设置，请新增目标。',
  'name_is_required': '名称为必填项',
  'name_is_too_long': '名称长度超出限制。（最长为20个字符）',
  'description_is_too_long': '描述内容长度超出限制。',
  'general_setting': '一般设置',
  'destination_setting': '目标设置',
  'endpoint': '目标URL',
  'endpoint_is_required': '目标URL为必填项。',
  'test_connection': '测试连接',
  'add_new_destination': '新建目标',
  'edit_destination': '编辑目标',  
  'successful_changed_password': '修改密码操作成功。',
  'change_profile': '修改账户信息',
  'successful_changed_profile': '修改账户信息操作成功。',
  'administrator': '管理员',
  'popular_repositories': '热门镜像仓库',
  'harbor_intro_title': '关于 Harbor',
  'mail_has_been_sent': '重置密码邮件已发送。',
  'send': '发送',
  'successful_signed_up': '注册成功。',
  'add_new_policy': '新增策略',
  'edit_policy': '修改策略',
  'delete_policy': '删除策略',
  'add_new_title': '新增用户',
  'add_new': '新增',
  'successful_added': '新增用户成功。',
  'copyright': '版权所有',
  'all_rights_reserved': '保留所有权利。',
  'pinging_target': '正在测试连接……',
  'successful_ping_target': '测试连接目标成功。',
  'failed_to_ping_target': '测试连接目标失败，请检查设置。',
  'policy_already_exists': '策略已存在。',
  'destination_already_exists': '目标已存在。',
  'refresh': '刷新',
  'select_all': '全选',
  'delete_tag': '删除镜像标签',
  'delete_repo': '删除镜像仓库',
  'download_log': '查看日志',
  'edit': '修改',
  'delete': '删除',
  'all': '全部',
  'transfer': '复制',
  'pending': '等待中',
  'running': '进行中',
  'finished': '已完成',
  'canceled': '已取消',
  'stopped': '已终止',
  'retrying': '重试中',
  'error': '错误',
  'about': '关于',
  'about_harbor': '关于 Harbor',
  'current_version': '<label>当前版本</label>&nbsp;&nbsp;<span>$0</span>',
  'failed_to_get_project_member': '无法获取当前项目成员。',
  'failed_to_delete_repo': '无法删除镜像仓库。',
  'failed_to_delete_repo_insuffient_permissions': '无法删除镜像仓库，权限不足。',
  'failed_to_get_tag': '获取标签数据失败。',
  'failed_to_get_log': '获取日志数据失败。',
  'failed_to_get_project': '获取项目数据失败。',
  'failed_to_update_user': '更新用户信息失败。',
  'failed_to_get_stat': '获取统计数据失败。',
  'failed_to_get_top_repo': '获取热门镜像仓库数据失败。',
  'failed_to_get_user_log': '获取用户日志数据失败。',
  'failed_to_send_email': '发送邮件失败。',
  'failed_to_reset_pasword': '重置邮件失败。',
  'failed_in_search': '搜索操作失败。',
  'failed_to_sign_up': '注册用户失败。',
  'failed_to_add_user': '新增用户失败。',
  'failed_to_delete_user': '删除用户失败。',
  'failed_to_list_user': '获取用户数据失败。',
  'failed_to_toggle_admin': '切换管理员用户失败。',
  'failed_to_list_destination': '获取目标数据失败。',
  'failed_to_list_replication': '获取复制策略数据失败。',
  'failed_to_toggle_policy': '切换复制策略状态失败。',
  'failed_to_create_replication_policy': '创建复制策略失败。',
  'failed_to_get_destination': '获取目标失败。',
  'failed_to_get_destination_policies': '获取目标关联策略数据失败。',
  'failed_to_get_replication_policy': '获取复制策略失败。',
  'failed_to_update_replication_policy': '修改复制策略失败。',
  'failed_to_delete_replication_enabled': '无法删除正在使用的复制策略。',
  'failed_to_delete_replication_policy': '删除复制策略失败。',
  'failed_to_delete_destination': '删除目标失败。',
  'failed_to_create_destination': '创建目标失败。',
  'failed_to_update_destination': '修改目标失败。',
  'failed_to_toggle_publicity_insuffient_permissions': '切换项目公开性失败，权限不足。',
  'failed_to_toggle_publicity': '切换项目公开性失败。',
  'project_admin': '项目管理员',
  'developer': '开发人员',
  'guest': '访客',
  'inline_help_role_title': '<strong>角色定义</strong>',
  'inline_help_role': '<strong>项目管理员</strong>: “项目管理员”拥有一个项目的读/写和成员管理的权限。<br/>'+ 
      '<strong>开发人员</strong>: “开发人员” 拥有一个项目的读/写权限。<br/>' +
      '<strong>访客</strong>: “访客”拥有特定项目的只读权限。',
  'inline_help_publicity_title': '<strong>公开项目</strong>',
  'inline_help_publicity': '当项目设为公开后，任何人都有此项目下镜像的读权限。命令行用户不需要“docker login”就可以拉取此项目下的镜像。',
  'alert_job_contains_error': '当前复制任务中包含错误，请检查。',
  'found_error_in_replication_job': '发现 $0 个错误。',
  'caution': '注意',
  'confirm_to_toggle_policy_title': '切换复制策略状态',
  'confirm_to_toggle_policy': '确认将复制策略 $0 切换为 <strong>$1</strong> 状态吗?',
  'confirm_to_toggle_enabled_policy_title': '启用策略',
  'confirm_to_toggle_enabled_policy': '启用策略后，该项目下的所有镜像仓库将复制到目标实例。请确认继续。',
  'confirm_to_toggle_disabled_policy_title': '停用策略',
  'confirm_to_toggle_disabled_policy': '停用策略后，所有未完成的复制任务将被终止和取消。请确认继续。'
};
