/* 
 * Harbor API
 *
 * These APIs provide services for manipulating Harbor project.
 *
 * OpenAPI spec version: 0.3.0
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package apilib

type StatisticMap struct {

	// The count of the projects which the user is a member of.
	MyProjectCount int32 `json:"my_project_count,omitempty"`

	// The count of the repositories belonging to the projects which the user is a member of.
	MyRepoCount int32 `json:"my_repo_count,omitempty"`

	// The count of the public projects.
	PublicProjectCount int32 `json:"public_project_count,omitempty"`

	// The count of the public repositories belonging to the public projects which the user is a member of.
	PublicRepoCount int32 `json:"public_repo_count,omitempty"`

	// The count of the total projects, only be seen when the is admin.
	TotalProjectCount int32 `json:"total_project_count,omitempty"`

	// The count of the total repositories, only be seen when the user is admin.
	TotalRepoCount int32 `json:"total_repo_count,omitempty"`
}
